package com.GreatLearning.SurabiAssignment3LS.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

//Admin entity to provide and map all the data and fields of our database table 'userbills' 
//containing all the bills generated by customer ordering.
@Entity
@Table(name = "userbills")
public class Bills {
		
	//Primary key as well as AutoIncremented Key.	
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name="serialno")
	private int id;
	@Column(name = "date")
	private String date;
	@Column(name = "username")
	private String name;
	@Column(name = "bill")
	int bill ;
	
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getDate() {
		return date;
	}
	public void setDate(String date) {
		this.date = date;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public int getBill() {
		return bill;
	}
	public void setBill(int bill) {
		this.bill = bill;
	}
}
